from _add_use_case_scripts.requestPost  import postLayersToSwagger, postTableToSwagger
def add_table(use_case: str, table_name: str):
    '''
    take the columns and add the mappings at the server
    replace all "/"'s in the internal representation with a "_"
    '''

    columns = [
        # "docType",
        "userId",
        "rewardBalance"
    ]
    
    columns = { c : c for c in columns }
    columns["UniqueID"] = "userId"

    table = {
        "name": table_name,
        "mappings": columns
    }

    postTableToSwagger(use_case,table)

def add_layers(use_case:str, table_name: str):
    layers = [
        {
            "use_case": use_case,
            "table": table_name,
            "name": "User_Layer",
            "properties": [
                "UniqueID",
                "rewardBalance"
            ],
            "cluster_properties": [
                "UniqueID",
            ]
        },
        {
            "use_case": use_case,
            "table": table_name,
            "name": "User_Balance_Layer",
            "properties": [
                "UniqueID",
                "rewardBalance"
            ],
            "cluster_properties": [
                "rewardBalance"
            ]
        }
    ]

    postLayersToSwagger(use_case,layers)    


def main(use_case: str):
    print("user")
    table_name = "user"
    add_table(use_case,table_name)
    add_layers(use_case,table_name)